import { Observable } from 'rxjs/Rx';
import { Http } from '@angular/http';
import { ApiRoot } from 'dotcms-js/dotcms-js';
import { ConditionGroupModel } from './Rule';
import { LoggerService } from 'dotcms-js/dotcms-js';
export declare class ConditionGroupService {
    private loggerService;
    private _typeName;
    private _apiRoot;
    private _http;
    private _baseUrl;
    static toJson(conditionGroup: ConditionGroupModel): any;
    static toJsonList(models: {
        [key: string]: ConditionGroupModel;
    }): any;
    constructor(apiRoot: ApiRoot, http: Http, loggerService: LoggerService);
    makeRequest(path: string): Observable<any>;
    all(ruleKey: string, keys: string[]): Observable<ConditionGroupModel>;
    allAsArray(ruleKey: string, keys: string[]): Observable<ConditionGroupModel[]>;
    get(ruleKey: string, key: string): Observable<ConditionGroupModel>;
    createConditionGroup(ruleId: string, model: ConditionGroupModel): Observable<any>;
    updateConditionGroup(ruleId: string, model: ConditionGroupModel): Observable<ConditionGroupModel>;
    remove(ruleId: string, model: ConditionGroupModel): Observable<ConditionGroupModel>;
    private _getPath(ruleKey, key?);
    private _catchRequestError(operation);
}
